Subject: Re: bug#55040: 29.0.50; Auto-indent-mode and Changelog Messages

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Apr 2022 16:36:06 +0200

Eli Zaretskii <[email-masked]> writes:

>> > Looks like just turning off adaptive-fill-mode is enough to solve your
>> > problem.
>> 
>> Should it be disabled for log-edit-mode in general?
>
> Maybe.  I'd be interested in hearing opinions of others, since
> different projects have different conventions wrt this.
>
> Also, log-edit-mode doesn't turn on auto-fill-mode by default, so
> maybe the change you propose should only be in effect if the user does
> turn on auto-fill.

I think having adaptive-fill-mode switched off would be an improvement
when doing ChangeLog-like commits, but I'm not sure that it's a good
idea in general.

If we could instead make the adaptive filling smarter (and discover that
we're doing a ChangeLog-like paragraph), that would be better, I think?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no